/*
   +----------------------------------------------------------------------+
   | PHP version 4.0                                                      |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997, 1998, 1999, 2000, 2001 The PHP Group             |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors: Rasmus Lerdorf <rasmus@php.net>                             |
   +----------------------------------------------------------------------+
 */

#ifndef PHP_XMMS_H
#define PHP_XMMS_H

extern zend_module_entry xmms_module_entry;
#define phpext_xmms_ptr &xmms_module_entry

#ifdef PHP_WIN32
#define PHP_XMMS_API __declspec(dllexport)
#else
#define PHP_XMMS_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

#include <xmms/xmmsctrl.h>

#define PHP_XMMS_VERSION "0.1"

PHP_MINIT_FUNCTION(xmms);
PHP_MSHUTDOWN_FUNCTION(xmms);
PHP_MINFO_FUNCTION(xmms);

PHP_NAMED_FUNCTION(php_xmms_start);
PHP_FUNCTION(xmms_is_running);
PHP_FUNCTION(xmms_playlist_length);
PHP_FUNCTION(xmms_playlist_pos);
PHP_FUNCTION(xmms_playlist);
PHP_FUNCTION(xmms_play);
PHP_FUNCTION(xmms_stop);
PHP_FUNCTION(xmms_pause);
PHP_FUNCTION(xmms_quit);
PHP_FUNCTION(xmms_version);
PHP_FUNCTION(xmms_next);
PHP_FUNCTION(xmms_prev);
PHP_FUNCTION(xmms_status);
PHP_FUNCTION(xmms_is_repeat);
PHP_FUNCTION(xmms_repeat);
PHP_FUNCTION(xmms_is_shuffle);
PHP_FUNCTION(xmms_shuffle);
PHP_FUNCTION(xmms_add);
PHP_FUNCTION(xmms_delete);
PHP_FUNCTION(xmms_clear);
PHP_FUNCTION(xmms_current);
PHP_FUNCTION(xmms_volume);
PHP_FUNCTION(xmms_url);
PHP_FUNCTION(xmms_skin);
PHP_FUNCTION(xmms_time);
PHP_FUNCTION(xmms_main_win);
PHP_FUNCTION(xmms_pl_win);
PHP_FUNCTION(xmms_eq_win);
PHP_FUNCTION(xmms);

ZEND_BEGIN_MODULE_GLOBALS(xmms)
	int   session;
	char *exec_path;
ZEND_END_MODULE_GLOBALS(xmms)

/* In every function that needs to use variables in php_xmms_globals,
   call TSRM_FETCH(); after declaring other variables used by
   that function, and always refer to them as XMMS_G(variable).
   You are encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define XG(v) TSRMG(xmms_globals_id, zend_xmms_globals *, v)
#else
#define XG(v) (xmms_globals.v)
#endif

#endif	/* PHP_XMMS_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
